aboutsummaryrefslogtreecommitdiffstats
path: root/jjb/common/include-agl-run-test-short-guppy.sh
diff options
context:
space:
mode:
authorJan-Simon Möller <jsmoeller@linuxfoundation.org>2018-11-16 07:50:22 +0100
committerJan-Simon Möller <jsmoeller@linuxfoundation.org>2018-11-16 07:50:22 +0100
commitb76de43474cf1139d7a2da162516b22df3db4acc (patch)
tree20c86b50e6c2c6ef7b8964e4cfd0bb8c0f9278e4 /jjb/common/include-agl-run-test-short-guppy.sh
parentaca703038721dfd7d3705ba688d3e4f939ba09e9 (diff)
Add release job for guppy
Change-Id: I4bac3775da003dc677d50bafab88fc00b8754890 Signed-off-by: Jan-Simon Möller <jsmoeller@linuxfoundation.org>
Diffstat (limited to 'jjb/common/include-agl-run-test-short-guppy.sh')
-rw-r--r--jjb/common/include-agl-run-test-short-guppy.sh35
1 files changed, 35 insertions, 0 deletions
diff --git a/jjb/common/include-agl-run-test-short-guppy.sh b/jjb/common/include-agl-run-test-short-guppy.sh
new file mode 100644
index 00000000..0b2edfb0
--- /dev/null
+++ b/jjb/common/include-agl-run-test-short-guppy.sh
@@ -0,0 +1,35 @@
+# (c) 2016 Jan-Simon Moeller dl9pf(at)gmx.de
+# License GPLv2
+
+################################################################################
+## Run SHORT CI test
+################################################################################
+
+set -x
+
+cd $REPODIR
+
+echo "# LAVA lab target: ${LAVA_LAB} #"
+# releng-scripts depends on jinja2 >= 2.9
+echo "## Check version of python-jinja2: "
+pip show jinja2
+CREATE_ARGS=""
+CREATE_ARGS+="--machine ${releng_device} "
+CREATE_ARGS+="--build-type release "
+#[[ ! -z $RELEASE_BRANCH ]] && CREATE_ARGS+="--branch $RELEASE_BRANCH "
+#[[ ! -z $RELEASE_VERSION ]] && CREATE_ARGS+="--version $RELEASE_VERSION "
+CREATE_ARGS+="--url https://download.automotivelinux.org/AGL/upload/ci/${RELEASE_BRANCH}/${RELEASE_VERSION}/${MACHINE}/deploy/images/${MACHINE}/ "
+BUILD_VERSION="AGL-gerrit-$RELEASE_BRANCH-$RELEASE_VERSION"
+[[ -e output/repo-manifest-r.txt.sha1 ]] && BUILD_VERSION+="-$(cat output/repo-manifest-r.txt.sha1)"
+CREATE_ARGS+="--name AGL-gerrit-$RELEASE_BRANCH-$RELEASE_VERSION "
+CREATE_ARGS+="--build-version $BUILD_VERSION "
+CREATE_ARGS+="--callback-from ${LAVA_LAB} "
+CREATE_ARGS+="--test all"
+$RELENG/utils/create-jobs.py ${CREATE_ARGS} > testjob.yaml
+
+if [ $? != 0 ]; then
+ echo "ERROR: Machine ${releng_device}: LAVA job creation failed."
+ exit 0
+else
+ cat testjob.yaml
+fi